about summary refs log tree commit diff
path: root/bin/setup
diff options
context:
space:
mode:
authorEugen Rochko <eugen@zeonfederated.com>2016-08-17 17:56:23 +0200
committerEugen Rochko <eugen@zeonfederated.com>2016-08-17 17:58:00 +0200
commit10ba09f5466fe3d34a5ed78202c35f4e4f9d30e6 (patch)
treeed1a2f603198053a6872d3ac74ee69ba4990fdf3 /bin/setup
parentff2cbc07530d87132af09900b4d0c9ada9d3e716 (diff)
Upgrade to Rails 5.0.0.1
Diffstat (limited to 'bin/setup')
-rwxr-xr-xbin/setup29
1 files changed, 17 insertions, 12 deletions
diff --git a/bin/setup b/bin/setup
index acdb2c138..e620b4dad 100755
--- a/bin/setup
+++ b/bin/setup
@@ -1,29 +1,34 @@
 #!/usr/bin/env ruby
 require 'pathname'
+require 'fileutils'
+include FileUtils
 
 # path to your application root.
-APP_ROOT = Pathname.new File.expand_path('../../',  __FILE__)
+APP_ROOT = Pathname.new File.expand_path('../../', __FILE__)
 
-Dir.chdir APP_ROOT do
+def system!(*args)
+  system(*args) || abort("\n== Command #{args} failed ==")
+end
+
+chdir APP_ROOT do
   # This script is a starting point to setup your application.
-  # Add necessary setup steps to this file:
+  # Add necessary setup steps to this file.
 
-  puts "== Installing dependencies =="
-  system "gem install bundler --conservative"
-  system "bundle check || bundle install"
+  puts '== Installing dependencies =='
+  system! 'gem install bundler --conservative'
+  system('bundle check') || system!('bundle install')
 
   # puts "\n== Copying sample files =="
-  # unless File.exist?("config/database.yml")
-  #   system "cp config/database.yml.sample config/database.yml"
+  # unless File.exist?('config/database.yml')
+  #   cp 'config/database.yml.sample', 'config/database.yml'
   # end
 
   puts "\n== Preparing database =="
-  system "bin/rake db:setup"
+  system! 'bin/rails db:setup'
 
   puts "\n== Removing old logs and tempfiles =="
-  system "rm -f log/*"
-  system "rm -rf tmp/cache"
+  system! 'bin/rails log:clear tmp:clear'
 
   puts "\n== Restarting application server =="
-  system "touch tmp/restart.txt"
+  system! 'bin/rails restart'
 end